/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.RedondeoMarcaDAO;
import com.rjconsultores.ventaboletos.entidad.Marca;
import com.rjconsultores.ventaboletos.entidad.RedondeoMarca;
import com.rjconsultores.ventaboletos.service.RedondeoMarcaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Administrador
 */
@Service("redondeoMarcaService")
public class RedondeoMarcaServiceImpl implements RedondeoMarcaService {

    @Autowired
    private RedondeoMarcaDAO redondeoMarcaDAO;

    public List<RedondeoMarca> obtenerTodos() {
        return redondeoMarcaDAO.obtenerTodos();
    }

    public RedondeoMarca obtenerID(Integer id) {
        return redondeoMarcaDAO.obtenerID(id);
    }

    @Transactional
    public RedondeoMarca suscribir(RedondeoMarca entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return redondeoMarcaDAO.suscribir(entidad);
    }

    @Transactional
    public RedondeoMarca actualizacion(RedondeoMarca entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return redondeoMarcaDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(RedondeoMarca entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        redondeoMarcaDAO.actualizacion(entidad);
    }

    public List<RedondeoMarca> buscar(Marca marca) {
        return redondeoMarcaDAO.buscar(marca);
    }

    public List<RedondeoMarca> obtenerTodasMarcas(Short[] iDMarcas) {
        return redondeoMarcaDAO.obtenerTodasMarcas(iDMarcas);
    }
}
